Bug 461866 - net: Enable TSO if supported by at least one device
net: Enable TSO if supported by at least one device
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Herbert Xu
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-10 20:33 EDT by Herbert Xu
Modified: 2009-03-25 08:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:11:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
net: Enable TSO if supported by at least one device (1.36 KB, patch)
2008-09-10 20:33 EDT, Herbert Xu
no flags Details | Diff
net: Enable TSO if supported by at least one device (1.35 KB, patch)
2008-09-10 21:01 EDT, Herbert Xu
no flags Details | Diff

  None (edit)
Description Herbert Xu 2008-09-10 20:33:48 EDT
Created attachment 316378 [details]
net: Enable TSO if supported by at least one device

This patch is needed to allow host => guest traffic to use TSO when the host physical interface does not support TSO itself.  Not a problem for RHEL5 Xen but is a problem for virtio and later versions of Xen.
Comment 1 Herbert Xu 2008-09-10 21:01:19 EDT
Created attachment 316383 [details]
net: Enable TSO if supported by at least one device

Regenerated for RHEL5.
Comment 2 RHEL Product and Program Management 2008-09-11 15:10:12 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Don Zickus 2008-09-15 10:19:06 EDT
in kernel-2.6.18-115.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 9 errata-xmlrpc 2009-01-20 15:11:45 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.